cancel
Showing results for 
Search instead for 
Did you mean: 
New Contributor

Re: Failed to connect to the network adapter. Peer is not accessible via VPN.

same

 

New Contributor

Re: Failed to connect to the network adapter. Peer is not accessible via VPN.

d

New Contributor

Re: Failed to connect to the network adapter. Peer is not accessible via VPN.

After wrestling with this issue for couple of days, I finally got it working.

uninstalling / reinstalling does not resolve the issue in itself

I noticed in the middle of az uninstall/reinstall process that I had 3 copies of the Hamachi network adapter. It only happened once though.

I then got better results in diganostics, the only problem shown were offline peers.

But while peer was online, got that annoying VPN error message, and ping was still unsuccessful.

I was struggling with it for couple of days before discovering that my bluetooth adapter also created some sort of VPN I haven't noticed...

Now, when diagnosing the peer, I still got an "inbound traffic blocked" message for some reason, but the Diagnostic Tool only shows offline peers as errors, ping is finally OK, and the Hamachi network itself seems to be working Smiley Happy

 

So I think the solution should be

- Before installing, disable any other device that might be using a VPN sort of (that was a bluetooth device in my case, and there was a VPN option in my network card's setting that I also disabled)

- If you are reinstalling, check for and remove any duplicates of hamachi adapter manually, then uninstall / reinstall hamachi

- add hamachi as an exception to your firewall, or open the used ports (I only added Hamachi to Windows Firewall exceptions, as it's finally working, I don't mind changing the router settings)

I hope it helps for some of you

New Contributor

Re: Failed to connect to the network adapter. Peer is not accessible via VPN.

I love you Bernardo Dias.You r my hero <3

New Contributor

Re: Failed to connect to the network adapter. Peer is not accessible via VPN.

Download older version of hamachi then update, this one worked for me. For some reason, the most recent version of hamachi installer has that problem